Yes! Ensemble is fully compatible with Mac OS Mountain Lion (10.8). If Ensemble February 2012 software was pre-installed before updating to OS X 10.8 Mountain Lion, it is not necessary to install any new Ensemble software.

 

The Ensemble July 2012 release is intended for first time Ensemble installations on Mac OS X 10.7 Lion and 10.8 Mountain Lion

Download July 2012 Software Installer (Mountain Lion Compatible)